Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class ASTRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.antlr.ASTRuntimeException

All Implemented Interfaces:
  Serializable

    public class ASTRuntimeException
    extends RuntimeException

Version:
  $Revision: 8004 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`ASTRuntimeException(AST ast, String message)`
`ASTRuntimeException(AST ast, String message, Throwable throwable)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected static String` | `description(AST node)`
`AST` | `getAst()`
`int` | `getColumn()`
`int` | `getLine()`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTRuntimeException

    public ASTRuntimeException(AST ast,
                               String message)

### ASTRuntimeException

    public ASTRuntimeException(AST ast,
                               String message,
                               Throwable throwable)

Method Detail

### description

    protected static String description(AST node)

### getAst

    public AST getAst()

### getLine

    public int getLine()

### getColumn

    public int getColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD